Bug 126000 - Crash deleting template
Summary: Crash deleting template
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-06-19 06:56 UTC by marino.perissinotto
Modified: 2019-06-25 15:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (10.77 KB, application/vnd.oasis.opendocument.text-template)
2019-06-19 13:27 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description marino.perissinotto 2019-06-19 06:56:36 UTC
Deleting a model file via Model window>remove will cause the whole Libreoffice to suddenly shut down. When restarted it slow down.
Also, it loss the model files categories
Comment 1 Xisco Faulí 2019-06-19 07:40:35 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
Comment 2 Telesto 2019-06-19 13:26:16 UTC
Version: 6.4.0.0.alpha0+ (x86)
Build ID: ac14e5613597e7361ce6995dacb1bb5bd55b6b00
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-06_05:09:49
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded

STR
1. Open Writer (or Start Center)
2. CTRL+SHIFT+N (Manage templates)
3. Download the attached file 
4. Import the attached file (to a newly created category; makes it easier to find)
5. Switch to the category in question -> Delete the imported template -> Crash
Comment 3 Telesto 2019-06-19 13:27:28 UTC
Created attachment 152289 [details]
Example file
Comment 4 Xisco Faulí 2019-06-19 13:30:09 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: af37bb23f63b209af1193e20177c3aacbd777543
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Xisco Faulí 2019-06-19 14:13:28 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=72c191e046112df73c66be8dc8d1bec5a546fa60

author	Noel Grandin <noel.grandin@collabora.co.uk>	2018-09-19 12:11:38 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2018-09-25 11:03:47 +0200
commit	72c191e046112df73c66be8dc8d1bec5a546fa60 (patch)
tree	325904a6dc3482b02da2e9bdaac566a554bdccda
parent	daf44342ca82c5b0e79da88b7f9dbf28f6d43a8b (diff)
loplugin:useuniqueptr in ThumbnailView

Bisected with: bibisect-linux64-6.2

Adding Cc: to Noel Grandin
Comment 6 Commit Notification 2019-06-19 17:24:11 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/801bb2d4002cf2034315875440a6aee358951eb9%5E%21

tdf#126000 Crash deleting template

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-06-19 19:50:20 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/ecb00a0b88decfa754b72e0ecab239425a832ba4%5E%21

tdf#126000 Crash deleting template

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-06-20 15:12:36 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/6efe09515c0c028c759f84275a8023f4c188437f%5E%21

tdf#126000 Crash deleting template

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-06-22 02:23:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-5":

https://git.libreoffice.org/core/+/7e092051d563a8454d13b6a6ecc05b93e0f0135d%5E%21

tdf#126000 Crash deleting template

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-06-25 15:26:31 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 52800731baf9fcb88e54d60de5585640c8f97f7b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!